## org.omg.CosNaming.NamingContextPackage
Class AlreadyBoundHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextPackage.AlreadyBoundHelper

public class AlreadyBoundHelper
extends java.lang.Object

Helper class for : AlreadyBound

Author:
  OpenORB Compiler

Constructor Summary
`AlreadyBoundHelper()`

Method Summary
`static AlreadyBound` `extract(Any a)` Extract AlreadyBound from an any
`static java.lang.String` `id()` Return the AlreadyBound IDL ID
`static void` `insert(Any a, AlreadyBound t)` Insert AlreadyBound into an any
`static AlreadyBound` `read(InputStream istream)` Read AlreadyBound from a marshalled stream
`static TypeCode` `type()` Return the AlreadyBound TypeCode
`static void` `write(OutputStream ostream, AlreadyBound value)` Write AlreadyBound into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlreadyBoundHelper

    public AlreadyBoundHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AlreadyBound t)

  Insert AlreadyBound into an any
  Parameters:
    `a` - an any
    `t` - AlreadyBound value

### extract

    public static AlreadyBound extract(Any a)

  Extract AlreadyBound from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AlreadyBound value

### type

    public static TypeCode type()

  Return the AlreadyBound TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AlreadyBound IDL ID
  Returns:
    an ID

### read

    public static AlreadyBound read(InputStream istream)

  Read AlreadyBound from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AlreadyBound value

### write

    public static void write(OutputStream ostream,
                             AlreadyBound value)

  Write AlreadyBound into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AlreadyBound value